package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwDept;

import java.util.List;

/**
 * 企业微信部门Service接口
 *
 * @author fs
 * @date 2024-08-27
 */
public interface IQwDeptService
{
    /**
     * 查询企业微信部门
     *
     * @param id 企业微信部门主键
     * @return 企业微信部门
     */
    public QwDept selectQwDeptById(Long id);

    /**
     * 查询企业微信部门列表
     *
     * @param qwDept 企业微信部门
     * @return 企业微信部门集合
     */
    public List<QwDept> selectQwDeptList(QwDept qwDept);

    /**
     * 新增企业微信部门
     *
     * @param qwDept 企业微信部门
     * @return 结果
     */
    public int insertQwDept(QwDept qwDept);

    /**
     * 新增或插入 企业微信部门
     */
    public R insertOrUpdateQwDept(String corpId);

    /**
     * 修改企业微信部门
     *
     * @param qwDept 企业微信部门
     * @return 结果
     */
    public int updateQwDept(QwDept qwDept);

    /**
     * 批量删除企业微信部门
     *
     * @param ids 需要删除的企业微信部门主键集合
     * @return 结果
     */
    public int deleteQwDeptByIds(Long[] ids);

    public int deleteQwDeptByDeptId(QwDept qwDept);



    /**
     * 删除企业微信部门信息
     *
     * @param id 企业微信部门主键
     * @return 结果
     */
    public int deleteQwDeptById(Long id);
}
